Bug 103261 - kernel RPM upgrade produces elilo.conf entry, that does not work and is superfluous
kernel RPM upgrade produces elilo.conf entry, that does not work and is super...
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mkinitrd (Show other bugs)
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
David Lawrence
: 103859 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2003-08-28 05:14 EDT by Albert Fluegel
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-11 11:25:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Albert Fluegel 2003-08-28 05:14:13 EDT
Description of problem:
Upgrading the kernel to a new RPM produces an additional
entry in /boot/efi/efi/redhat/elilo.conf on Itanium systems.
This entry does not work because it has a label entry, that
elilo does not considers valid. The entry, that exists before,
looks like this:
        append="console=ttyS0 root=LABEL=/"

after kernel upgrade, there are two entries:

        append="console=ttyS0 root=LABEL=/"
        label=Red Hat Enterprise Linux (2.4.21-1.1931.2.411.ent)
        append="console=ttyS0 root=LABEL=/"

with default set to:

so the second image entry is superfluous and makes elilo
stop at boot and complain, that there is an error in the
config file. Changing the label of the second entry to
the one of the first entry makes things work, so probably
it's an entry format issue.

Version-Release number of selected component (if applicable):
kernel-2.4.21-1.1931.2.411.ent or 2.4.21-1.1931.2.393.ent

How reproducible:

Steps to Reproduce:
1. rpm -U /path/to/kernel-2.4.21-1.1931.2.411.ent.rpm
2. reboot
3. watch output
Actual results:
elilo prints an error and prompts for input, not
booting automatically after the timeout like configured

Expected results:
new kernel is booted

Additional info:
Comment 1 Jeremy Katz 2003-08-28 12:43:42 EDT
That's odd and I don't see it on my ia64 system here.

Did you upgrade the kernel by hand or with up2date?  What version of mkinitrd do
you have installed?

Also, can you attach the output of running `/sbin/new-kernel-pkg -v --depmod
--mkinitrd --install 2.4.21-1.1931.2.411.ent'
Comment 2 Albert Fluegel 2003-08-29 03:23:31 EDT
Downloaded RPM using up2date -d kernel,
then installed RPM running rpm -U -v --hash kernel-X.Y.Z.rpm .
mkinitrd is 3.5.9-1

output of new-kernel-pkg:

prompt# /sbin/new-kernel-pkg -v --depmod --mkinitrd --install
initrdfile is /boot/efi/EFI/redhat/initrd-2.4.21-1.1931.2.411.ent.img
running depmod for 2.4.21-1.1931.2.411.ent
creating initrd /boot/efi/EFI/redhat/initrd-2.4.21-1.1931.2.411.ent.img using
found /boot/efi/EFI/redhat/initrd-2.4.21-1.1931.2.411.ent.img and using it with

1.) /boot/efi/EFI does not exist, only /boot/efi/efi
2.) /boot/grub/grub.conf exists and contains:
# s+c Service Images start 

title Red Hat E2.9 Rescue System (Network Boot)

        root (hd0,0)
        kernel /boot/vmlinuz.rhE29 initrd=/boot/initrd.img rescue root=/dev/nfs
ks=nfs: ksdevice=eth0
devfs=nomount ramdisk_size=8192 vga=788 
        initrd /boot/initrd.rhE29
title Red Hat E2.9 Installer

        root (hd0,0)
        kernel /boot/vmlinuz.rhE29 initrd=/boot/initrd.img ks root=/dev/nfs
ks=nfs: ksdevice=eth0
devfs=nomount ramdisk_size=8192 vga=788 
        initrd /boot/initrd.rhE29
# s+c Service Images end

3.) found out: when /boot/grub/grub.conf does not exist, the wrong entry
    would not be created
4.) The contents of /boot/grub/grub.conf doesn't matter. If the file exists
    (probably with size 0) the wrong entry in /boot/efi/efi/redhat/elilo.conf
    will be there
Comment 3 Jeremy Katz 2003-08-29 16:47:06 EDT
Fixed in 3.5.10
Comment 4 Jay Turner 2003-09-02 22:25:21 EDT
Still getting the same behavior on rogue.test.redhat.com with

[root@rogue root]# rpm -q mkinitrd kernel
Comment 5 Jeremy Katz 2003-09-03 14:55:39 EDT
bash hates me, really fixed in 3.5.11
Comment 6 Jeremy Katz 2003-09-05 18:02:31 EDT
*** Bug 103859 has been marked as a duplicate of this bug. ***
Comment 7 Bill Nottingham 2004-10-11 11:25:41 EDT
Closing MODIFIED bugs as fixed. Please reopen if the problem perists.

Note You need to log in before you can comment on or make changes to this bug.